PCAP_SET_TIMEOUT(3) |  | PCAP_SET_TIMEOUT(3)

# NAME

pcap_set_timeout - set the read timeout for a not-yet-activated capture handle

# SYNOPSIS

#include <pcap/pcap.h>

int pcap_set_timeout(pcap_t *p, int to_ms);

# DESCRIPTION

pcap_set_timeout() sets the read timeout that will be used on a capture handle when the handle is activated to to_ms, which is in units of milliseconds.

# RETURN VALUE

pcap_set_timeout() returns 0 on success or PCAP_ERROR_ACTIVATED if called on a capture handle that has been activated.

# SEE ALSO

pcap(3), pcap_create(3), pcap_activate(3)

5 April 2008 |